Bug 80210 - nv driver doesn't work with external monitor on GeForce2 Go
nv driver doesn't work with external monitor on GeForce2 Go
Status: CLOSED WONTFIX
Product: Red Hat Linux
Classification: Retired
Component: XFree86 (Show other bugs)
9
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Mike A. Harris
David Lawrence
https://bugs.xfree86.org/cgi-bin/bugz...
:
Depends On:
Blocks: 82784
  Show dependency treegraph
 
Reported: 2002-12-22 05:01 EST by Alexandre Oliva
Modified: 2007-04-18 12:49 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-04-21 10:42:13 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Alexandre Oliva 2002-12-22 05:01:35 EST
This is probably an upstream bug, but...

The nv driver can operate the LCD display of my Dell Inspiron 8000 perfectly
well, but if I try to switch to an external display, it loses badly.  Even
switching back to the laptop screen requires X to be restarted, or at least a
quick tour through text mode.  

The VESA driver works better with the external display, but sometimes switching
corrupts the text-mode display, such that the screen is split horizontally in
two halves, and odd lines are displayed in the left half, and even lines are
displayed in the right half (or the converse, who knows?).  I could only get it
back to a normal state with a reboot, or by switching back to the nv driver.

Hard to tell which driver to recommend for GeForce2 Go :-(
Comment 1 Alexandre Oliva 2002-12-22 05:04:42 EST
Oh, I meant to add another bit of information:
redhat-config-xfree86 won't start if the enabled display is the external
display.  With both drivers, it will only work when using the laptop's display.
Comment 2 Mike A. Harris 2002-12-22 15:37:01 EST
Please report this to mvojkovich@nvidia.com also.  While we have the source
code for the nv driver, we do not have the technical specifications for the
Nvidia hardware, and are very likely unable to fix this problem.  Nvidia
on the other hand, maintains the nv driver, has the specs, and the source,
and the knowhow of their hardware.  If they aren't aware of this problem
it probably wont get fixed, and we'll have to disable GeForce 2 Go support
for this release again.

Please report upstream so that direct 2 way communication between the
driver maintainer and yourself can help get the problem resolved.
Comment 3 Alexandre Oliva 2002-12-30 08:55:18 EST
For the record...  I just heard back from Mark, and he suggested adding the
following options to the driver section in /etc/X11/XF86Config to get the
external display to work:
    Option "FlatPanel" "0"
    Option "CrtcNumber" "0"

These seem to only work if you switch to the external display right after a
reboot.  After X starts, you can't go back to text mode, so, if you're not going
to have an external display on the next reboot, you'd better fix XF86Config
before logging out of X.

This is not ideal, but it can be a lifesaver if you have to use a projector for
a presentation...  Keep the lines above commented out for regular use, and
change them before the presentation starts, with enough time for a reboot and
perhaps some troubleshooting :-)
Comment 4 Mike A. Harris 2003-04-21 10:42:13 EDT
Now that XFree86.org has a bugzilla, bugs like this one (nv) should probably
be filed there so that Mark can directly track them.  I'm not sure if this
is an actual bug, or would be considered a configuration-by-hand to get desired
behaviour type of thing.  No idea how Nvidia hardware works though, so there
isn't any chance of any driver changes unless Mark makes them anyway.  Best
to keep this stuff upstream.
Comment 5 Alexandre Oliva 2003-05-11 17:21:02 EDT
Filed upstream.

Note You need to log in before you can comment on or make changes to this bug.